Artifacts - Get
Get a specific artifact from a pipeline run
GET https://dev.azure.com/{organization}/{project}/_apis/pipelines/{pipelineId}/runs/{runId}/artifacts?artifactName={artifactName}&api-version=6.0-preview.1
GET https://dev.azure.com/{organization}/{project}/_apis/pipelines/{pipelineId}/runs/{runId}/artifacts?artifactName={artifactName}&$expand={$expand}&api-version=6.0-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
pipeline
|
path | True |
integer (int32) |
ID of the pipeline. |
|
project
|
path | True |
string |
Project ID or project name |
|
run
|
path | True |
integer (int32) |
ID of the run of that pipeline. |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '6.0-preview.1' to use this version of the api. |
|
artifact
|
query | True |
string |
Name of the artifact. |
|
$expand
|
query |
Expand options. Default is None. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Definitions
| Name | Description |
|---|---|
| Artifact |
Artifacts are collections of files produced by a pipeline. Use artifacts to share files between stages in a pipeline or between different pipelines. |
|
Get |
Expand options. Default is None. |
|
Signed |
A signed url allowing limited-time anonymous access to private resources. |
Artifact
Artifacts are collections of files produced by a pipeline. Use artifacts to share files between stages in a pipeline or between different pipelines.
| Name | Type | Description |
|---|---|---|
| name |
string |
The name of the artifact. |
| signedContent |
Signed url for downloading this artifact |
|
| url |
string |
Self-referential url |
GetArtifactExpandOptions
Expand options. Default is None.
| Value | Description |
|---|---|
| none |
No expansion. |
| signedContent |
Include signed content. |
SignedUrl
A signed url allowing limited-time anonymous access to private resources.
| Name | Type | Description |
|---|---|---|
| signatureExpires |
string (date-time) |
Timestamp when access expires. |
| url |
string |
The URL to allow access to. |